#include <nds.h>
#include "fw.h"
#include "../../arm7/include/ipc.h"

#include "scroller.h"
/*
Scroller text for use in the firmware.
*/

#define SCROLLER_LINE_NUM 22

char *stext[]={
	"                                This is an example Scroller"
	" 34 spaces in a row will put the scroller pointer back to"
	" the beginning. Feel free to change this as you wish. "
	"in order to better personalize your Nintendo DS. "
	"Also make sure SCROLL_TEXT is defined. "
	"                                   "
};

int scroll_pos=0;
int scroll_update=0;
void scroll_text() {
	int i;
	u16 *p=(u16*)(SCREEN_BASE_BLOCK_SUB(0)+22*64);
	char *s=stext[0];
	//while(*s) *p++=*s++;
	for(i=0;i<34;i++)
	{
		if(s[scroll_pos+i]!=' ')
			break;
	}
	if(i==34)
		scroll_pos=0;
	
	scroll_update++;
	if(scroll_update==10)
	{
		scroll_update=0;
		scroll_pos++;
	}
	for(i=0;i<32;i++)
		*p++=s[scroll_pos+i];
}

//----- End of Scroller text code/data ------